### Virtual Method

# Cogl Onscreen queue_damage_region

#### Declaration [src]

    void
    queue_damage_region (
      CoglOnscreen* onscreen,
      const int* rectangles,
      int n_rectangles
    )

#### Description [src]

Implementation for https://www.khronos.org/registry/EGL/extensions/KHR/EGL_KHR_partial_update.txt This immediately queues state to OpenGL that will be used for the next swap. This needs to be called every frame.

The expected values are independent of any viewport transforms applied to the framebuffer.

#### Parameters

`rectangles`

  Type: An array of `int`

  An array of integer 4-tuples representing damaged rectangles as (x, y, width, height) tuples.

  The length of the array is specified in the `n_rectangles` argument.
  The data is owned by the caller of the method.

`n_rectangles`

  Type: `int`

  The number of 4-tuples to be read from `rectangles`.